<?php
if (isset($_SESSION['usuario'])){
$user=$_SESSION['usuario'];
}
else{
?>
<script>
location.href="index.php?errorusuario=3";
</script>
<?php }

//PROGRAMACION DE LA FECHA:

include("conexion.php");
$fecha=$_POST['fecha6'];
date_default_timezone_set("America/Mexico_City");
//echo date("Y-m-d h:s:i");

?>

<table width="900" border="0" align="center" bgcolor="#FFFFFF">
  <tr>
    <td>
	<div align="center">
  <p align="left" class="style7">Bit&aacute;cora de Accesos al Sistema  
  <hr color="#0D3356" size="1">
  <form action="main.php?a=83" method="post">
    <div align="center"><span class="style4">Fecha:</span>
       <input name="fecha6" class="calendar" type="text" id="datetimepicker" value="<?php echo date("Y-m-d");?>"> 
        <input name="Submit2" type="submit" class="boton2" value="Consultar" />
    </div>
  </form>
  <p>
    <?php
	include ("conexion.php");
	// Tama&ntilde;o de resultados por pagina
			$tamano=100;			
			// Pagina a mostrar e incio del registro
			$pagina = @$_GET["pagina"]; 
			if (!$pagina) { 
			    $inicio = 0; 
			    $pagina=1; 
			} 
			else { 
			    $inicio = ($pagina - 1) * $tamano; 
			}
			
echo "<table align='center' cellpadding='2' class='tablaBordes'>";
echo "<tr class='tablaCabecera' align='center'>";

echo "<td>No.</td>";
echo "<td>Usuario</td>";
echo "<td>Fecha</td>";
echo "<td>Hora</td>";
echo "<td>Clinica</td>";

echo "</tr>";


			$query="SELECT * FROM bitacora WHERE fecha='$fecha' ORDER BY fecha DESC" ;
			$result=mysql_query($query,$conex) or die ("No se realizo con exito la consulta de Bitacora1");		 
			$total=mysql_num_rows($result);
			$total_paginas=ceil($total/$tamano);
			
			$query="SELECT * FROM bitacora WHERE fecha='$fecha' ORDER BY fecha DESC,hora DESC limit ".$inicio.",".$tamano;
			$result=mysql_query($query,$conex) or die ("No existen productos con esa referencia");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))
			{				  
         
echo "<tr>";
 for ($i=0;$i< $numero_campos;$i++){

echo "<td class='style1'>";
echo $fila[$i];
echo "</td>";

}
//impresion de la clinica
$cons2="SELECT idClinica FROM usuarios Where idUsuario = '".$fila[1]."'" ;
$res2=mysql_query($cons2,$conex) or die ("No se realizo con exito la consulta de numero de clinica");
$idcli=mysql_result($res2,0,'idClinica');

$cons3="SELECT clinica FROM clinicas WHERE idClinica = '$idcli'" ;
$res3=mysql_query($cons3,$conex) or die ("No se realizo con exito la consulta de clinica");
$clinica=mysql_result($res3,0,'clinica');

echo "<td class='style1'>";
echo $clinica;
echo "</td>";

/*
echo "<td class='style4'>";
echo "<a href='deletequipo2.php?numSerie="; echo $fila[0]; echo "'> X </a>";
echo "</td>";
*/
echo "</tr>";
}
echo "</table>";


//muestro los distintos &iacute;ndices de las p&aacute;ginas, si es que hay varias p&aacute;ginas 
			if ($total_paginas > 1){ 
			  echo "<font face='verdana' size='2' color='#0D3356'>P&aacute;gina: </font>";
			    for ($i=1;$i<=$total_paginas;$i++){ 
			       if ($pagina == $i) 
	        //si muestro el &iacute;ndice de la p&aacute;gina actual, no coloco enlace 
    		      		echo "<font face='verdana' size='2' color='#000000'><b>".$pagina . "</b> </font>"; 
				    else 
          //si el &iacute;ndice no corresponde con la p&aacute;gina mostrada actualmente, coloco el enlace para ir a esa p&aacute;gina 
         		echo "<a href='main.php?a=82&pagina=".$i."'><font face='verdana' size='2' color='#0D3356'>" . $i . "</font></a> "; 
  				} 
			}
			
//mysql_free_result($result);

?>
  </p>
	<input name="Submit" type="button" class="boton2" onClick="javascript:print()" value="Imprimir">
</div>
	</td>
  </tr>
</table>
<script>

$('#datetimepicker').datetimepicker({
	lang:'es',
	timepicker:false,
	format:'Y-m-d',
	formatDate:'Y-m-d',
});

$('#datetimepicker2').datetimepicker({
	lang:'es',
	timepicker:false,
	format:'Y-m-d',
	formatDate:'Y-m-d',
});

</script>
